"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var providers_1 = require("../providers");
/**
 * This is the main parent class for all database
 *  providers. It provides you several methods that
 *  work altogether and important to use to simplfy
 *  your job and free the core of thinking.
 *
 * The provider is not the plain provider that you could
 *  think. This give you large API to managing the database
 *  process.
 */
var DatabaseProvider = /** @class */ (function (_super) {
    __extends(DatabaseProvider, _super);
    function DatabaseProvider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DatabaseProvider.prototype.onMigrationInit = function () {
    };
    DatabaseProvider.prototype.onMigrationRollback = function () {
    };
    DatabaseProvider.prototype.onMigrationUsageFail = function () {
    };
    DatabaseProvider.prototype.onUsageFail = function () {
    };
    DatabaseProvider.prototype.onQuery = function () {
    };
    DatabaseProvider.prototype.querify = function () {
    };
    return DatabaseProvider;
}(providers_1.Provider));
exports.DatabaseProvider = DatabaseProvider;
//# sourceMappingURL=database-provider.js.map