import { Provider } from "../providers";

/**
 * This is the main parent class for all database
 *  providers. It provides you several methods that
 *  work altogether and important to use to simplfy
 *  your job and free the core of thinking.
 *
 * The provider is not the plain provider that you could
 *  think. This give you large API to managing the database
 *  process.
 */
export class DatabaseProvider extends Provider {

  onMigrationInit() {

  }

  onMigrationRollback() {

  }

  onMigrationUsageFail() {

  }

  onUsageFail() {

  }

  onQuery() {

  }

  querify() {

  }

}
