import { Scheme, Field } from './database-field';

export class Table {
  createTable(name: string, fn: (scheme: Scheme) => void) {
    console.log('Create table', name);
    let fields: Field[] = [];
    let scheme = new Scheme(fields);
    fn(scheme);
    console.log(fields);
  }

  alterTable(name: string, fn: (scheme: Scheme) => void) {
    console.log('Create table', name);
    let fields: Field[] = [];
    let scheme = new Scheme(fields);
    fn(scheme);
  }

  drop(name: string) {
    console.log('Drop table', name, 'forcly');
  }
}
